<?xml version="1.0"?>
<launch>

    <node ns="rover" pkg="robot_localization" type="ekf_localization_node" name="ekf_local" clear_params="true">
        <remap from="odometry/filtered" to="/rover/odometry/local" />

        <param name="frequency" value="30.0" />
        <param name="two_d_mode" value="true" />
        <param name="publish_tf" value="true" />

        <param name="world_frame" value="odom" />
        <param name="map_frame" value="map" />
        <param name="odom_frame" value="odom" />
        <param name="base_link_frame" value="base_link" />

        <param name="odom0" value="/rover/odom" />
        <param name="odom0_differential" value="false" />
        <param name="odom0_relative" value="false" />
        <param name="odom0_queue_size" value="5" />

        <param name="sensor_timeout" value="0.5" />
        <param name="predict_to_current_time" value="true" />
        <param name="transform_time_offset" value="0.1" />

        <rosparam param="odom0_config">
        [false, false, false,
         false, false, false,
         true,  true,  false,
         false, false, true,
         false, false, false]
    </rosparam>
    </node>


</launch>